jQuery(document).ready(function() {
	jQuery(".ajax-group").parent().on("click", "a.ajax", function(event) {		
		event.preventDefault();
		var delID = jQuery(this).data('deleteid');
		var doneFct = jQuery(this).data('done');
		ajaxRequest(jQuery(this).attr('href'), function() {
			if (delID != null) {
				jQuery("#" + delID).remove();
			}
			if (doneFct != null) {
				doneFct();
			}
		});
	});
});



/** * FONCTIONS ** */

updateImg = function() {
	jQuery("img[data-src]").each(function() {
		jQuery(this).attr('src', jQuery(this).data('src'));
		jQuery(this).removeAttr('data-src');
	} );
}

ajaxRequest = function(url, doneFunction) {
	if (url.indexOf("/edit-") >= 0) {
		url = url.replace("/edit-", "/ajax-");
	} else {
		url = url.replace("/edit/", "/ajax/");
		if (url.indexOf("/preview-") >= 0) {
			url = url.replace("/preview-", "/ajax-");
		} else {
			url = url.replace("/preview/", "/ajax/");
		}
	}
	var data = null;
	jQuery("body").addClass("ajax-loading");
	jQuery.ajax({
		url : url,
		cache : false,		
		data : data,
		type : "post",
		dataType : "json"
	}).done(			
			function(jsonObj) {
				jQuery("body").removeClass("ajax-loading");
				if (jsonObj.data != null) {
					if (jsonObj.data["need-refresh"]) {
						reloadPage();
					}
				}
				jQuery.each(jsonObj.zone, function(xhtmlId, xhtml) {
					if (xhtmlId.indexOf("#") < 0 && xhtmlId.indexOf("#") < 0
							&& xhtmlId.indexOf(" ") < 0) {
						xhtmlId = "#" + xhtmlId;
					}

					var item = jQuery(xhtmlId);
					if (item != null) {
						jQuery(xhtmlId).replaceWith(xhtml);
					} else {
						jQuery.each(jsonObj.data, function(key, value) {
						});
						if (console) {
							console.log("warning : component " + xhtmlId
									+ " not found for zone.");
						}
					}
				});
				jQuery.each(jsonObj.insideZone, function(xhtmlId, xhtml) {
					if (xhtmlId.indexOf("#") < 0 && xhtmlId.indexOf(".") < 0
							&& xhtmlId.indexOf(" ") < 0) {
						xhtmlId = "#" + xhtmlId;
					}
					var item = jQuery(xhtmlId);
					if (item != null) {
						item.html(xhtml);
					} else {
						if (console) {
							console.log("warning : component " + xhtmlId
									+ " not found for insideZone.");
						}
					}
				});
				if (doneFunction != null) {			
					doneFunction();
				}
				jQuery(document).trigger("ajaxUpdate");
				updateImg();
			});
}

reloadPage = function() {
	var doc = document.documentElement, body = document.body;
	var topScroll = (doc && doc.scrollTop || body && body.scrollTop || 0);
	var currentURL = window.location.href;
	if (currentURL.indexOf("_scrollTo") >= 1) {
		currentURL = currentURL.substring(0,
				currentURL.indexOf("_scrollTo") - 1);
	}
	if (currentURL.indexOf("?") < 0) {
		currentURL = currentURL + "?" + "_scrollTo=" + topScroll;
	} else {
		currentURL = currentURL + "&" + "_scrollTo=" + topScroll;
	}
	window.location.href = currentURL;
}

var elementPosition = $('#fixed-box').offset();
var elementWidth = $('#fixed-box').outerWidth();
$(window).on('load', function(){
	updateImg();
});
$(window).scroll(function(){	
	if( screen.width >= 640 && elementPosition != null) {     
        if($(window).scrollTop() > elementPosition.top){
              $('#fixed-box').css('position','fixed').css('top','5px');
              $('#fixed-box').css('width',elementWidth+"px");
        } else {
            $('#fixed-box').css('position','static');            
        }    
	}	
	var viewportHeight = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
	var scroolTop = $(window).scrollTop();
	jQuery("section.parallax").each(function() {
	   var section = jQuery(this); 
	   var offset = section.offset();
	   console.log(offset.top-scroolTop);
	   if (offset.top-scroolTop<viewportHeight) {		   
		   var margin = Math.round((scroolTop-offset.top)/4);		   
		   section.find('.background-image img').css("margin-top", margin);
	   }	   
	});
});